<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>＠his-view/template documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">＠his-view/template documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  AppStoreEditorToolbarComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#styleData" class="nav-link"
                role="tab" id="styleData-tab" data-bs-toggle="tab" data-link="style">Styles</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>his-app-store-editor-toolbar</code></td>
            </tr>

            <tr>
                <td class="col-md-3">Standalone</td>
                <td class="col-md-9"><code>true</code></td>
            </tr>

            <tr>
                <td class="col-md-3">imports</td>
                <td class="col-md-9">
                            <code>CommonModule</code>
                                <code><a href="../miscellaneous/variables.html#primeGroup" target="_self" >primeGroup</a></code>
                            <code>FormsModule</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app-store-editor-toolbar.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app-store-editor-toolbar.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="##appStoreEditorLayoutService" >#appStoreEditorLayoutService</a>
                            </li>
                            <li>
                                <a href="#dialogVisible" >dialogVisible</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#doToolbarListClick" >doToolbarListClick</a>
                            </li>
                            <li>
                                <a href="#doToolbarNewItemClick" >doToolbarNewItemClick</a>
                            </li>
                            <li>
                                <a href="#isDetail" >isDetail</a>
                            </li>
                            <li>
                                <a href="#onCancelClick" >onCancelClick</a>
                            </li>
                            <li>
                                <a href="#onDeleteItemClick" >onDeleteItemClick</a>
                            </li>
                            <li>
                                <a href="#onDittoItemClick" >onDittoItemClick</a>
                            </li>
                            <li>
                                <a href="#onHide" >onHide</a>
                            </li>
                            <li>
                                <a href="#onItemListClick" >onItemListClick</a>
                            </li>
                            <li>
                                <a href="#onNewItemClick" >onNewItemClick</a>
                            </li>
                            <li>
                                <a href="#onOkClick" >onOkClick</a>
                            </li>
                            <li>
                                <a href="#onSaveItemClick" >onSaveItemClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#appStore" >appStore</a>
                            </li>
                            <li>
                                <a href="#tabViewIndex" >tabViewIndex</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Outputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#toolbarListClick" >toolbarListClick</a>
                            </li>
                            <li>
                                <a href="#toolbarNewItemClick" >toolbarNewItemClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>



                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#dialogStyle" >dialogStyle</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>


    <section data-compodoc="block-inputs">
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="appStore"></a>
                        <b>appStore</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>WritableSignal&lt;AppStore&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:24</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="tabViewIndex"></a>
                        <b>tabViewIndex</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:23</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <section data-compodoc="block-outputs">
    <h3 id="outputs">Outputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="toolbarListClick"></a>
                        <b>toolbarListClick</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>EventEmitter&lt;void&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:26</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="toolbarNewItemClick"></a>
                        <b>toolbarNewItemClick</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>EventEmitter&lt;void&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:27</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="doToolbarListClick"></a>
                    <span class="name">
                        <span ><b>doToolbarListClick</b></span>
                        <a href="#doToolbarListClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>doToolbarListClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="88"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:88</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>發射點擊清單鈕事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="doToolbarNewItemClick"></a>
                    <span class="name">
                        <span ><b>doToolbarNewItemClick</b></span>
                        <a href="#doToolbarNewItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>doToolbarNewItemClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="97"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:97</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>發射點擊新增鈕事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="isDetail"></a>
                    <span class="name">
                        <span ><b>isDetail</b></span>
                        <a href="#isDetail"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>isDetail()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="106"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:106</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>確認是否在document頁面</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onCancelClick"></a>
                    <span class="name">
                        <span ><b>onCancelClick</b></span>
                        <a href="#onCancelClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onCancelClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="127"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:127</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下取消刪除鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onDeleteItemClick"></a>
                    <span class="name">
                        <span ><b>onDeleteItemClick</b></span>
                        <a href="#onDeleteItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onDeleteItemClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="79"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:79</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊刪除按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onDittoItemClick"></a>
                    <span class="name">
                        <span ><b>onDittoItemClick</b></span>
                        <a href="#onDittoItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onDittoItemClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="46"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:46</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊Ditto按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onHide"></a>
                    <span class="name">
                        <span ><b>onHide</b></span>
                        <a href="#onHide"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onHide()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="136"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:136</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下關閉彈窗按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onItemListClick"></a>
                    <span class="name">
                        <span ><b>onItemListClick</b></span>
                        <a href="#onItemListClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onItemListClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="55"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:55</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊清單按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onNewItemClick"></a>
                    <span class="name">
                        <span ><b>onNewItemClick</b></span>
                        <a href="#onNewItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onNewItemClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="36"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:36</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊新增按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onOkClick"></a>
                    <span class="name">
                        <span ><b>onOkClick</b></span>
                        <a href="#onOkClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onOkClick(appStore: AppStore)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="117"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:117</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下確認刪除鈕</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>appStore</td>
                                    <td>
                                            <code>AppStore</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSaveItemClick"></a>
                    <span class="name">
                        <span ><b>onSaveItemClick</b></span>
                        <a href="#onSaveItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSaveItemClick(appStore: AppStore)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="65"
                            class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:65</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點擊儲存按鈕</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>appStore</td>
                                    <td>
                                            <code>AppStore</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>新增或修改的AppStore資料</p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="#appStoreEditorLayoutService"></a>
                    <span class="name">
                            <span class="modifier">Private</span>
                        <span ><b>#appStoreEditorLayoutService</b></span>
                        <a href="##appStoreEditorLayoutService"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../injectables/AppStoreEditorLayoutService.html" target="_self" >AppStoreEditorLayoutService</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>inject(AppStoreEditorLayoutService)</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:22</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="dialogVisible"></a>
                    <span class="name">
                        <span ><b>dialogVisible</b></span>
                        <a href="#dialogVisible"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>false</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:30</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

    <section data-compodoc="block-accessors">
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dialogStyle"></a>
                        <span class="name"><b>dialogStyle</b><a href="#dialogStyle"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>dialogStyle()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="145" class="link-to-prism">src/app/app-store-editor-toolbar/app-store-editor-toolbar.component.ts:145</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>彈窗樣式</p>
</div>

                                <div>
                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, EventEmitter, Input, Output, WritableSignal, inject } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { ButtonModule } from &#x27;primeng/button&#x27;;
import { RadioButtonModule } from &#x27;primeng/radiobutton&#x27;;
import { ToolbarModule } from &#x27;primeng/toolbar&#x27;;
import { FormsModule } from &#x27;@angular/forms&#x27;;
import { TabViewModule } from &#x27;primeng/tabview&#x27;;
import { AppStore } from &#x27;@his-viewmodel/app-store/dist&#x27;;
import { DividerModule } from &#x27;primeng/divider&#x27;;
import { DialogModule } from &#x27;primeng/dialog&#x27;;
import { AppStoreEditorLayoutService } from &#x27;../app-store-editor.service&#x27;;
const primeGroup &#x3D; [ButtonModule, RadioButtonModule, ToolbarModule, TabViewModule, DialogModule, DividerModule];
@Component({
  selector: &#x27;his-app-store-editor-toolbar&#x27;,
  standalone: true,
  imports: [CommonModule, primeGroup, FormsModule],
  templateUrl: &#x27;./app-store-editor-toolbar.component.html&#x27;,
  styleUrls: [&#x27;./app-store-editor-toolbar.component.scss&#x27;]
})
export class AppStoreEditorToolbarComponent {

  #appStoreEditorLayoutService: AppStoreEditorLayoutService &#x3D; inject(AppStoreEditorLayoutService);
  @Input() tabViewIndex!: number;
  @Input() appStore!: WritableSignal&lt;AppStore&gt;;

  @Output() toolbarListClick: EventEmitter&lt;void&gt; &#x3D; new EventEmitter();
  @Output() toolbarNewItemClick: EventEmitter&lt;void&gt; &#x3D; new EventEmitter();


  dialogVisible: boolean &#x3D; false;

  /**
   * 點擊新增按鈕
   * @memberof AppConfigHeaderComponent
   */
  onNewItemClick() {

    this.doToolbarNewItemClick();
    this.appStore.set({} as AppStore);
  }

  /**
   * 點擊Ditto按鈕
   * @memberof AppConfigHeader
   */
  onDittoItemClick() {

    this.appStore.mutate(x &#x3D;&gt; x.appId &#x3D; 0);
  }

  /**
   * 點擊清單按鈕
   * @memberof AppConfigHeader
   */
  onItemListClick() {

    this.doToolbarListClick();
  }

  /**
   * 點擊儲存按鈕
   * @param {AppStore} appStore 新增或修改的AppStore資料
   * @memberof App
   */
  onSaveItemClick(appStore: AppStore) {

    if (appStore.appId &#x3D;&#x3D;&#x3D; 0) {
      this.#appStoreEditorLayoutService.insertAppStore(appStore);
    } else {
      this.#appStoreEditorLayoutService.updateAppStore(appStore);
    }
  }

  /**
   * 點擊刪除按鈕
   * @param {AppStore}appStore 要刪除的AppStore資料
   * @memberof App
   */
  onDeleteItemClick() {

    this.dialogVisible &#x3D; true;
  }

  /**
   * 發射點擊清單鈕事件
   * @memberof App
   */
  doToolbarListClick() {

    this.toolbarListClick.emit();
  }

  /**
   * 發射點擊新增鈕事件
   * @memberof App
   */
  doToolbarNewItemClick() {

    this.toolbarNewItemClick.emit();
  }

  /**
   * 確認是否在document頁面
   * @memberof App
   */
  isDetail() {

    return this.tabViewIndex &#x3D;&#x3D;&#x3D; 1;
  }


  /**
   * 按下確認刪除鈕
   * @param {AppStore} appStore
   * @memberof App
   */
  onOkClick(appStore: AppStore) {

    this.dialogVisible &#x3D; false;
    this.#appStoreEditorLayoutService.deleteAppStore(appStore);
  }

  /**
   * 按下取消刪除鈕
   * @memberof App
   */
  onCancelClick() {

    this.dialogVisible &#x3D; false;
  }

  /**
   * 按下關閉彈窗按鈕
   * @memberof App
   */
  onHide() {

    this.dialogVisible &#x3D; false;
  }

  /**
   * 彈窗樣式
   * @memberof App
   */
  get dialogStyle() {

    return { width: &#x27;25vw&#x27;, height: &#x27;20vh&#x27; };
  }
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;p-toolbar class&#x3D;&quot;button-list&quot;&gt;
    &lt;div class&#x3D;&quot;p-toolbar-group-start&quot;&gt;
      &lt;ng-container [ngTemplateOutlet]&#x3D;&quot;isDetail()?document:list&quot;&gt;&lt;/ng-container&gt;
    &lt;/div&gt;
  &lt;/p-toolbar&gt;
&lt;/div&gt;

&lt;ng-template #list&gt;
  &lt;p-button (click)&#x3D;&quot;onNewItemClick()&quot; i18n&gt;new&lt;/p-button&gt;
&lt;/ng-template&gt;

&lt;ng-template #document&gt;
  &lt;p-button (click)&#x3D;&quot;onItemListClick()&quot; i18n&gt;list&lt;/p-button&gt;
  &lt;p-button (click)&#x3D;&quot;onDittoItemClick()&quot;&gt;Ditto&lt;/p-button&gt;
  &lt;p-button (click)&#x3D;&quot;onNewItemClick()&quot; i18n&gt;new&lt;/p-button&gt;
  &lt;p-button (click)&#x3D;&quot;onSaveItemClick(appStore())&quot; i18n&gt;save&lt;/p-button&gt;
  &lt;p-button (click)&#x3D;&quot;onDeleteItemClick()&quot; i18n&gt;delete&lt;/p-button&gt;
&lt;/ng-template&gt;

&lt;p-dialog header&#x3D;&quot;Header&quot; [(visible)]&#x3D;&quot;dialogVisible&quot; [style]&#x3D;&quot;dialogStyle&quot;&gt;
  &lt;ng-template pTemplate&#x3D;&quot;header&quot; class&#x3D;&quot;dialog-header&quot;&gt;
    &lt;div class&#x3D;&quot;dialog-header&quot;&gt;&lt;/div&gt;
  &lt;/ng-template&gt;
  &lt;div&gt;
    &lt;span i18n&gt;
      make sure to continue delete?
    &lt;/span&gt;
  &lt;/div&gt;
  &lt;ng-template pTemplate&#x3D;&quot;footer&quot;&gt;
    &lt;p-divider&gt;&lt;/p-divider&gt;
    &lt;button pButton pRipple class&#x3D;&quot;cancel&quot; (click)&#x3D;&quot;onCancelClick()&quot; i18n-label label&#x3D;&quot;cancel&quot;&gt;&lt;/button&gt;
    &lt;button pButton pRipple (click)&#x3D;&quot;onOkClick(appStore())&quot; i18n-label label&#x3D;&quot;ok&quot; class&#x3D;&quot;p-button-text&quot;&gt;&lt;/button&gt;
  &lt;/ng-template&gt;
&lt;/p-dialog&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="styleData">
                <p class="comment">
                    <code>./app-store-editor-toolbar.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">:host ::ng-deep {
  .p-toolbar {
    background-color: #DBE5E1;

    &amp; .p-button {
      background-color: #006D50;
      border-color: #006D50;
      padding: 5px;
      margin-right: 0.5rem;
    }
  }

  .p-dialog-draggable .p-dialog-header{
    background-color: #006D50;
    height: 3vh;
    .p-dialog-header-icon{
      color: white;
    }
  }

  .p-dialog .p-dialog-content {
    display: flex;
    padding: 2.5rem 1.5rem 1.5rem;
    justify-content: center;
  }

  .p-dialog .p-dialog-footer button {
    background-color: #006D50;
    color: white;
    padding: 2px;
    background-color: #006D50;
    &amp;.cancel {
      background-color: #DBE5E1;
      border-color: #DBE5E1;
      color: #000;
    }
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <p-toolbar class="button-list">    <div class="p-toolbar-group-start">      <ng-container [ngTemplateOutlet]="isDetail()?document:list"></ng-container>    </div>  </p-toolbar></div><ng-template #list>  <p-button (click)="onNewItemClick()" i18n>new</p-button></ng-template><ng-template #document>  <p-button (click)="onItemListClick()" i18n>list</p-button>  <p-button (click)="onDittoItemClick()">Ditto</p-button>  <p-button (click)="onNewItemClick()" i18n>new</p-button>  <p-button (click)="onSaveItemClick(appStore())" i18n>save</p-button>  <p-button (click)="onDeleteItemClick()" i18n>delete</p-button></ng-template><p-dialog header="Header" [(visible)]="dialogVisible" [style]="dialogStyle">  <ng-template pTemplate="header" class="dialog-header">    <div class="dialog-header"></div>  </ng-template>  <div>    <span i18n>      make sure to continue delete?    </span>  </div>  <ng-template pTemplate="footer">    <p-divider></p-divider>    <button pButton pRipple class="cancel" (click)="onCancelClick()" i18n-label label="cancel"></button>    <button pButton pRipple (click)="onOkClick(appStore())" i18n-label label="ok" class="p-button-text"></button>  </ng-template></p-dialog></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AppStoreDocumentComponent', 'selector': 'his-app-store-editor-document'},{'name': 'AppStoreEditorToolbarComponent', 'selector': 'his-app-store-editor-toolbar'},{'name': 'AppStoreListComponent', 'selector': 'his-app-store-editor-list'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppStoreEditorToolbarComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppStoreEditorToolbarComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
